#include <avr/io.h>
#include <util/delay.h>

int main() {
    DDRA = 0xFF;
    DDRC = 0xFF;
    DDRD = 0xFF;

    int i;
    while (1) {

			/*ma pozitionez pe nivelul cel mai de sus si aprind ledurile simultan*/
            PORTD = 0b10000000;
            PORTA = 0b11111111;
            PORTC = 0b11111111;

            _delay_ms(5000);

			/*ma pozitionez pe nivelul urmator si aprind ledurile simultan*/
            PORTD = 0b01000000;
            PORTA = 0b11111111;
            PORTC = 0b11111111;

            _delay_ms(5000);

			/*ma pozitionez un nivel mai jos si aprind ledurile simultan */
            PORTD = 0b00100000;
            PORTA = 0b11111111;
            PORTC = 0b11111111;

            _delay_ms(5000);

			/*ma pozitionez pe nivelul cel mai de jos si aprind ledurile simultan*/
            PORTD = 0b00010000;
            PORTA = 0b11111111;
            PORTC = 0b11111111;

            _delay_ms(5000);
			PORTD = 0b11111111;
	
	/*se aprind toate ledurile si se sting n cascad*/
	for(i=0; i<8; i++)
	{
		
			PORTA |= (1 << i);
			PORTB |= (1 << i);
			PORTC |= (1 << i);
			
			_delay_ms(5000);
			
			PORTA &= ~(1 << i);
			PORTB &= ~(1 << i);
			PORTC &= ~(1 << i);
	}
	
}

}
